=== debian/changelog ===
baresip (3.11.0) unstable; urgency=medium

  * version 3.11.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 09 Apr 2024 09:08:00 +0200

baresip (3.10.1) unstable; urgency=medium

  * version 3.10.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Mar 2024 11:08:00 +0100

baresip (3.10.0) unstable; urgency=medium

  * version 3.10.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 6 Mar 2024 11:40:00 +0100

baresip (3.9.0) unstable; urgency=medium

  * version 3.9.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Wed, 31 Jan 2024 08:29:02 +0100

baresip (3.8.1) unstable; urgency=medium

  * version 3.8.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 2 Jan 2024 14:00:00 +0200

baresip (3.8.0) unstable; urgency=medium

  * version 3.8.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 27 Dec 2023 14:00:00 +0200

baresip (3.7.0) unstable; urgency=medium

  * version 3.7.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 22 Nov 2023 08:00:00 +0200

baresip (3.6.0) UNRELEASED; urgency=medium

  * version 3.6.0

 -- Juha Heinanen <jh@tutpro.com>  Thu, 02 Nov 2023 19:33:16 +0200

baresip (3.5.1) unstable; urgency=medium

  * version 3.5.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Sep 2023 14:00:00 +0200

baresip (3.5.0) unstable; urgency=medium

  * version 3.5.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Sep 2023 08:00:00 +0200

baresip (3.2.0) unstable; urgency=medium

  * version 3.2.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 31 May 2023 08:00:00 +0200

baresip (3.1.0) unstable; urgency=medium

  * version 3.1.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 27 Apr 2023 08:00:00 +0200

baresip (3.0.0) unstable; urgency=medium

  * version 3.0.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 20 Mar 2023 08:00:00 +0200

baresip (2.12.0) unstable; urgency=medium

  * version 2.12.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 15 Feb 2023 08:00:00 +0200

baresip (2.11.0) unstable; urgency=medium

  * version 2.11.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 11 Jan 2023 08:00:00 +0200

baresip (2.10.0) unstable; urgency=medium

  * version 2.10.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 6 Dec 2022 08:00:00 +0200

baresip (2.9.0) unstable; urgency=medium

  * version 2.9.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 1 Nov 2022 08:00:00 +0200

baresip (2.8.1) unstable; urgency=medium

  * version 2.8.1

 -- Christian Spielberger <c.spielberger@commend.com>  Sat, 1 Oct 2022 12:00:00 +0200

baresip (2.8.0) unstable; urgency=medium

  * version 2.8.0

 -- Christian Spielberger <c.spielberger@commend.com>  Sat, 1 Oct 2022 08:00:00 +0200

baresip (2.7.0) unstable; urgency=medium

  * version 2.7.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 1 Sep 2022 08:00:00 +0200

baresip (2.5.0) unstable; urgency=medium

  * version 2.5.0

 -- Christian Spielberger <c.spielberger@commend.com>  Fri, 1 Jul 2022 08:00:00 +0200

baresip (2.4.0) unstable; urgency=medium

  * version 2.4.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 1 Jun 2022 14:15:35 +0100

baresip (2.0.2) unstable; urgency=medium

  * version 2.0.2

 -- Juha Heinanen <jh@tutpro.com>  Mon, 25 Apr 2022 11:54:35 +0300

baresip (1.0.0) unstable; urgency=medium

  * version 1.0.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 20 Sep 2020 13:24:20 +0300

baresip (0.6.6) unstable; urgency=medium

  * version 0.6.6

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Thu, 16 Apr 2020 16:00:00 +0200

baresip (0.6.5) unstable; urgency=medium

  * version 0.6.5

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 1 Dec 2019 09:00:00 +0100

baresip (0.6.4) unstable; urgency=medium

  * version 0.6.4

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 1 Sep 2019 08:00:00 +0200

baresip (0.6.3) unstable; urgency=medium

  * version 0.6.3

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 22 Jun 2019 08:00:00 +0200

baresip (0.6.2) unstable; urgency=medium

  * version 0.6.2

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Fri, 19 Apr 2019 12:00:00 +0200

baresip (0.6.1) unstable; urgency=medium

  * version 0.6.1

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 17 Feb 2019 10:00:00 +0100

baresip (0.6.0) unstable; urgency=medium

  * version 0.6.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 1 Dec 2018 10:00:00 +0100

baresip (0.5.11) unstable; urgency=medium

  * version 0.5.11

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 15 Sep 2018 10:00:00 +0200

baresip (0.5.10) unstable; urgency=medium

  * version 0.5.10

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Wed, 4 Jul 2018 14:00:00 +0200

baresip (0.5.9) unstable; urgency=medium

  * version 0.5.9

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 21 Apr 2018 12:00:00 +0200

baresip (0.5.8) unstable; urgency=medium

  * version 0.5.8

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 11 Feb 2018 18:00:00 +0100

baresip (0.5.7) unstable; urgency=medium

  * version 0.5.7

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Mon, 25 Dec 2017 10:00:00 +0100

baresip (0.5.6) unstable; urgency=medium

  * version 0.5.6

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 14 Oct 2017 10:00:00 +0200

baresip (0.5.5) unstable; urgency=medium

  * version 0.5.5

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Thu, 7 Sep 2017 16:00:00 +0200

baresip (0.5.4) unstable; urgency=medium

  * version 0.5.4

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 24 Jun 2017 12:00:00 +0200

baresip (0.5.3) unstable; urgency=medium

  * version 0.5.3

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sun, 14 May 2017 07:00:00 +0200

baresip (0.5.2) unstable; urgency=medium

  * version 0.5.2


