=== debian/control ===
Source: baresip
Section: comm
Priority: optional
Maintainer: Alfred E. Heggestad <aeh@db.org>
Standards-Version: 4.1.5
Build-Depends: cmake, dh-cmake, dh-cmake-compat (= 1), dh-sequence-cmake, debhelper-compat (= 12)
Homepage: https://github.com/baresip/baresip

Package: baresip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbaresip (>= 2.11.0)
Description: Modular SIP User-Agent with audio and video support
 Design goals:
 .
  Minimalistic and modular VoIP client
  SIP, SDP, RTP/RTCP, STUN/TURN/ICE
  IPv4 and IPv6 support
  RFC compliant
  Robust, fast, low footprint
  Portable C99 and C11 source code

Package: libbaresip
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libre (>= 2.11.0)
Description: Baresip library

Package: libbaresip-dev
Architecture: any
Section: libdevel
Depends: libbaresip (= ${binary:Version}), ${misc:Depends}
Description: Baresip library development files
 See https://github.com/baresip/baresip/wiki/Using-baresip-as-a-library
 for an example.
